Package com.independentsoft.office.spreadsheet

# Class WorkbookProperties

java.lang.Object
com.independentsoft.office.spreadsheet.WorkbookProperties

public class WorkbookProperties extends Object
The Class WorkbookProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WorkbookProperties()`
  Instantiates a new workbook properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WorkbookProperties`
  `clone()`
  `String`
  `getCodeName()`
  Gets the code name.
  `int`
  `getDefaultThemeVersion()`
  Gets the default theme version.
  `UpdateLinksType`
  `getUpdateLinksType()`
  Gets the update links type.
  `boolean`
  `isAllowRefreshQuery()`
  Checks if is allow refresh query.
  `boolean`
  `isAutoCompressPictures()`
  Checks if is auto compress pictures.
  `boolean`
  `isCheckCompatibilityOnSave()`
  Checks if is check compatibility on save.
  `boolean`
  `isCreateBackupFile()`
  Checks if is creates the backup file.
  `boolean`
  `isDate1904()`
  Checks if is date1904.
  `boolean`
  `isFilterPrivacy()`
  Checks if is filter privacy.
  `boolean`
  `isHidePivotFieldList()`
  Checks if is hide pivot field list.
  `boolean`
  `isPromptedSolutions()`
  Checks if is prompted solutions.
  `boolean`
  `isPublishItems()`
  Checks if is publish items.
  `boolean`
  `isRefreshAllConnectionsOnOpen()`
  Checks if is refresh all connections on open.
  `boolean`
  `isSaveExternalLinkValues()`
  Checks if is save external link values.
  `boolean`
  `isShowBorderUnselectedTables()`
  Checks if is show border unselected tables.
  `boolean`
  `isShowInkAnnotations()`
  Checks if is show ink annotations.
  `boolean`
  `isShowObjects()`
  Checks if is show objects.
  `boolean`
  `isShowPivotChartFilter()`
  Checks if is show pivot chart filter.
  `void`
  `setAllowRefreshQuery​(boolean allowRefreshQuery)`
  Sets the allow refresh query.
  `void`
  `setAutoCompressPictures​(boolean autoCompressPictures)`
  Sets the auto compress pictures.
  `void`
  `setCheckCompatibilityOnSave​(boolean checkCompatibilityOnSave)`
  Sets the check compatibility on save.
  `void`
  `setCodeName​(String codeName)`
  Sets the code name.
  `void`
  `setCreateBackupFile​(boolean createBackupFile)`
  Sets the creates the backup file.
  `void`
  `setDate1904​(boolean date1904)`
  Sets the date1904.
  `void`
  `setDefaultThemeVersion​(int defaultThemeVersion)`
  Sets the default theme version.
  `void`
  `setFilterPrivacy​(boolean filterPrivacy)`
  Sets the filter privacy.
  `void`
  `setHidePivotFieldList​(boolean hidePivotFieldList)`
  Sets the hide pivot field list.
  `void`
  `setPromptedSolutions​(boolean promptedSolutions)`
  Sets the prompted solutions.
  `void`
  `setPublishItems​(boolean publishItems)`
  Sets the publish items.
  `void`
  `setRefreshAllConnectionsOnOpen​(boolean refreshAllConnectionsOnOpen)`
  Sets the refresh all connections on open.
  `void`
  `setSaveExternalLinkValues​(boolean saveExternalLinkValues)`
  Sets the save external link values.
  `void`
  `setShowBorderUnselectedTables​(boolean showBorderUnselectedTables)`
  Sets the show border unselected tables.
  `void`
  `setShowInkAnnotations​(boolean showInkAnnotations)`
  Sets the show ink annotations.
  `void`
  `setShowObjects​(boolean showObjects)`
  Sets the show objects.
  `void`
  `setShowPivotChartFilter​(boolean showPivotChartFilter)`
  Sets the show pivot chart filter.
  `void`
  `setUpdateLinksType​(UpdateLinksType updateLinksType)`
  Sets the update links type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WorkbookProperties

    public WorkbookProperties()
    Instantiates a new workbook properties.

- ## Method Details

  - ### clone

    public WorkbookProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isAllowRefreshQuery

    public boolean isAllowRefreshQuery()
    Checks if is allow refresh query.
    Returns:
      true, if is allow refresh query

  - ### setAllowRefreshQuery

    public void setAllowRefreshQuery​(boolean allowRefreshQuery)
    Sets the allow refresh query.
    Parameters:
      `allowRefreshQuery` - the new allow refresh query

  - ### isAutoCompressPictures

    public boolean isAutoCompressPictures()
    Checks if is auto compress pictures.
    Returns:
      true, if is auto compress pictures

  - ### setAutoCompressPictures

    public void setAutoCompressPictures​(boolean autoCompressPictures)
    Sets the auto compress pictures.
    Parameters:
      `autoCompressPictures` - the new auto compress pictures

  - ### isCreateBackupFile

    public boolean isCreateBackupFile()
    Checks if is creates the backup file.
    Returns:
      true, if is creates the backup file

  - ### setCreateBackupFile

    public void setCreateBackupFile​(boolean createBackupFile)
    Sets the creates the backup file.
    Parameters:
      `createBackupFile` - the new creates the backup file

  - ### isCheckCompatibilityOnSave

    public boolean isCheckCompatibilityOnSave()
    Checks if is check compatibility on save.
    Returns:
      true, if is check compatibility on save

  - ### setCheckCompatibilityOnSave

    public void setCheckCompatibilityOnSave​(boolean checkCompatibilityOnSave)
    Sets the check compatibility on save.
    Parameters:
      `checkCompatibilityOnSave` - the new check compatibility on save

  - ### getCodeName

    public String getCodeName()
    Gets the code name.
    Returns:
      the code name

  - ### setCodeName

    public void setCodeName​(String codeName)
    Sets the code name.
    Parameters:
      `codeName` - the new code name

  - ### isDate1904

    public boolean isDate1904()
    Checks if is date1904.
    Returns:
      true, if is date1904

  - ### setDate1904

    public void setDate1904​(boolean date1904)
    Sets the date1904.
    Parameters:
      `date1904` - the new date1904

  - ### getDefaultThemeVersion

    public int getDefaultThemeVersion()
    Gets the default theme version.
    Returns:
      the default theme version

  - ### setDefaultThemeVersion

    public void setDefaultThemeVersion​(int defaultThemeVersion)
    Sets the default theme version.
    Parameters:
      `defaultThemeVersion` - the new default theme version

  - ### isFilterPrivacy

    public boolean isFilterPrivacy()
    Checks if is filter privacy.
    Returns:
      true, if is filter privacy

  - ### setFilterPrivacy

    public void setFilterPrivacy​(boolean filterPrivacy)
    Sets the filter privacy.
    Parameters:
      `filterPrivacy` - the new filter privacy

  - ### isHidePivotFieldList

    public boolean isHidePivotFieldList()
    Checks if is hide pivot field list.
    Returns:
      true, if is hide pivot field list

  - ### setHidePivotFieldList

    public void setHidePivotFieldList​(boolean hidePivotFieldList)
    Sets the hide pivot field list.
    Parameters:
      `hidePivotFieldList` - the new hide pivot field list

  - ### isPromptedSolutions

    public boolean isPromptedSolutions()
    Checks if is prompted solutions.
    Returns:
      true, if is prompted solutions

  - ### setPromptedSolutions

    public void setPromptedSolutions​(boolean promptedSolutions)
    Sets the prompted solutions.
    Parameters:
      `promptedSolutions` - the new prompted solutions

  - ### isPublishItems

    public boolean isPublishItems()
    Checks if is publish items.
    Returns:
      true, if is publish items

  - ### setPublishItems

    public void setPublishItems​(boolean publishItems)
    Sets the publish items.
    Parameters:
      `publishItems` - the new publish items

  - ### isRefreshAllConnectionsOnOpen

    public boolean isRefreshAllConnectionsOnOpen()
    Checks if is refresh all connections on open.
    Returns:
      true, if is refresh all connections on open

  - ### setRefreshAllConnectionsOnOpen

    public void setRefreshAllConnectionsOnOpen​(boolean refreshAllConnectionsOnOpen)
    Sets the refresh all connections on open.
    Parameters:
      `refreshAllConnectionsOnOpen` - the new refresh all connections on open

  - ### isSaveExternalLinkValues

    public boolean isSaveExternalLinkValues()
    Checks if is save external link values.
    Returns:
      true, if is save external link values

  - ### setSaveExternalLinkValues

    public void setSaveExternalLinkValues​(boolean saveExternalLinkValues)
    Sets the save external link values.
    Parameters:
      `saveExternalLinkValues` - the new save external link values

  - ### isShowBorderUnselectedTables

    public boolean isShowBorderUnselectedTables()
    Checks if is show border unselected tables.
    Returns:
      true, if is show border unselected tables

  - ### setShowBorderUnselectedTables

    public void setShowBorderUnselectedTables​(boolean showBorderUnselectedTables)
    Sets the show border unselected tables.
    Parameters:
      `showBorderUnselectedTables` - the new show border unselected tables

  - ### isShowInkAnnotations

    public boolean isShowInkAnnotations()
    Checks if is show ink annotations.
    Returns:
      true, if is show ink annotations

  - ### setShowInkAnnotations

    public void setShowInkAnnotations​(boolean showInkAnnotations)
    Sets the show ink annotations.
    Parameters:
      `showInkAnnotations` - the new show ink annotations

  - ### isShowObjects

    public boolean isShowObjects()
    Checks if is show objects.
    Returns:
      true, if is show objects

  - ### setShowObjects

    public void setShowObjects​(boolean showObjects)
    Sets the show objects.
    Parameters:
      `showObjects` - the new show objects

  - ### isShowPivotChartFilter

    public boolean isShowPivotChartFilter()
    Checks if is show pivot chart filter.
    Returns:
      true, if is show pivot chart filter

  - ### setShowPivotChartFilter

    public void setShowPivotChartFilter​(boolean showPivotChartFilter)
    Sets the show pivot chart filter.
    Parameters:
      `showPivotChartFilter` - the new show pivot chart filter

  - ### getUpdateLinksType

    public UpdateLinksType getUpdateLinksType()
    Gets the update links type.
    Returns:
      the update links type

  - ### setUpdateLinksType

    public void setUpdateLinksType​(UpdateLinksType updateLinksType)
    Sets the update links type.
    Parameters:
      `updateLinksType` - the new update links type